# Macros Operations related to saved replies (macros) in conversations ## List all macros - [GET /macros](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/macros/listmacros.md): You can fetch a list of all macros (saved replies) in your workspace for use in automating responses. The macros are returned in descending order by updated_at. Pagination This endpoint uses cursor-based pagination via the starting_after parameter. The cursor is a Base64-encoded JSON array containing [updated_at, id] of the last item from the previous page. Placeholder Transformation The API transforms Intercom placeholders to a more standard XML-like format: - From: {{user.name | fallback: 'there'}} - To: `` ## Retrieve a macro - [GET /macros/{id}](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/macros/getmacro.md): You can fetch a single macro (saved reply) by its ID. The macro will only be returned if it is visible to the authenticated user based on its visibility settings. Visibility Rules A macro is returned based on its visible_to setting: - everyone: Always visible to all team members - specific_teams: Only visible if the authenticated user belongs to one of the teams specified in visible_to_team_ids If a macro exists but is not visible to the authenticated user, a 404 error is returned. Placeholder Transformation The API transforms Intercom placeholders to a more standard XML-like format in the body field: - From: {{user.name | fallback: 'there'}} - To: `` Default values in placeholders are HTML-escaped for security.